import * as $dara from '@darabonba/typescript';
import { CreateInterceptionRuleResponseBody } from "./CreateInterceptionRuleResponseBody";
export declare class CreateInterceptionRuleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateInterceptionRuleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
